### Class

# Adw SqueezerPage

deprecated: 1.4 since: 1

#### Description [src]

    final class Adw.SqueezerPage : GObject.Object
    {
      /* No available fields */
    }

An auxiliary class used by `AdwSqueezer`.

Available since: 1

Deprecated since: 1.4

See the migration guide

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_squeezer_page_get_child

Returns the squeezer child to which `self` belongs.

deprecated: 1.4 since: 1

###### adw_squeezer_page_get_enabled

Gets whether `self` is enabled.

deprecated: 1.4 since: 1

###### adw_squeezer_page_set_enabled

Sets whether `self` is enabled.

deprecated: 1.4 since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.SqueezerPage:child

The the squeezer child to which the page belongs.

deprecated: 1.4 since: 1

###### Adw.SqueezerPage:enabled

Whether the child is enabled.

deprecated: 1.4 since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwSqueezerPageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.